Bug 967711 - SELinux is preventing /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.19.x86_64/jre/bin/java from 'create' accesses on the file jwtwebJ2.jar.info.temp.
SELinux is preventing /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.19.x86_64/jre/bin...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:5a2f957a9d8643990e65c6e70b8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-28 01:59 EDT by Klaas Zwaan
Modified: 2013-06-23 23:28 EDT (History)
5 users (show)

See Also:
Fixed In Version: selinux-policy-3.10.0-170.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-23 23:28:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Klaas Zwaan 2013-05-28 01:59:54 EDT
Description of problem:
Working from home is not working anymore after an update yesterday. Last week it worked just fine.
SELinux is preventing /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.19.x86_64/jre/bin/java from 'create' accesses on the file jwtwebJ2.jar.info.temp.

*****  Plugin catchall (100. confidence) suggests  ***************************

If je denkt dat java standaard create toegang moet hebben tot de  jwtwebJ2.jar.info.temp file.
Then je moet dit melden als een fout.
Je kunt een locale tactiek module genereren om deze toegang toe te staan.
Do
sta deze toegang nu toe door het uitvoeren van:
# grep java /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
                              0.c1023
Target Context                unconfined_u:object_r:user_home_t:s0
Target Objects                jwtwebJ2.jar.info.temp [ file ]
Source                        java
Source Path                   /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.19.x86_64/jr
                              e/bin/java
Port                          <Onbekend>
Host                          (removed)
Source RPM Packages           java-1.7.0-openjdk-1.7.0.19-2.3.9.3.fc17.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.10.0-169.fc17.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.8.13-100.fc17.x86_64 #1 SMP Mon
                              May 13 13:36:17 UTC 2013 x86_64 x86_64
Alert Count                   33
First Seen                    2013-05-28 07:54:54 CEST
Last Seen                     2013-05-28 07:58:04 CEST
Local ID                      715d3387-63ae-4470-84a5-5ea1f128ba17

Raw Audit Messages
type=AVC msg=audit(1369720684.17:241): avc:  denied  { create } for  pid=3226 comm="java" name="jwtwebJ2.jar.info.temp" scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=file


type=SYSCALL msg=audit(1369720684.17:241): arch=x86_64 syscall=open success=no exit=EACCES a0=7fc430009d70 a1=c2 a2=1b6 a3=bd items=0 ppid=3150 pid=3226 auid=1002 uid=1002 gid=1002 euid=1002 suid=1002 fsuid=1002 egid=1002 sgid=1002 fsgid=1002 ses=2 tty=(none) comm=java exe=/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.19.x86_64/jre/bin/java subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)

Hash: java,mozilla_plugin_t,user_home_t,file,create

audit2allow

#============= mozilla_plugin_t ==============
allow mozilla_plugin_t user_home_t:file create;

audit2allow -R

#============= mozilla_plugin_t ==============
allow mozilla_plugin_t user_home_t:file create;


Additional info:
hashmarkername: setroubleshoot
kernel:         3.8.13-100.fc17.x86_64
type:           libreport

Potential duplicate: bug 964309
Comment 1 Miroslav Grepl 2013-05-29 02:55:30 EDT
Try to execute

# chcon -R -t mozilla_home_t /home/<user>/.icedtea
Comment 2 Fedora Update System 2013-06-07 03:00:44 EDT
selinux-policy-3.10.0-170.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-170.fc17
Comment 3 Fedora Update System 2013-06-07 19:27:36 EDT
Package selinux-policy-3.10.0-170.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-170.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10302/selinux-policy-3.10.0-170.fc17
then log in and leave karma (feedback).
Comment 4 Andreas Fischer 2013-06-12 09:51:25 EDT
Description of problem:
zu Bug 967843

Additional info:
hashmarkername: setroubleshoot
kernel:         3.8.13-100.fc17.x86_64
type:           libreport
Comment 5 Fedora Update System 2013-06-23 23:28:38 EDT
selinux-policy-3.10.0-170.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.